Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: martin rudalics <[email-masked]>
Date: Tue, 04 Sep 2018 09:51:52 +0200

>>> But it fails when using C-o from the already displayed *grep*.
 >>> I think next-error-no-select should override the user setting with
 >>> display-buffer-overriding-action because the purpose of pop-to-buffer in
 >>> next-error-no-select is to ensure the *grep* buffer is displayed somewhere:
 >>
 >> And if a user wanted to pop up a new window here?
 >
 > It pops up according to user setting but only when
 > this buffer is not displayed already in other window.

Still: IMHO it's not the task of the calling function to fix a bad
user customization.

martin